# ChangeLog for gentoo/src/catalyst
# Copyright 2002-2004 Gentoo Technologies, Inc.; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/ChangeLog,v 1.84 2004/09/16 05:53:50 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/ChangeLog,v 1.85 2004/09/29 01:32:50 zhen Exp $
+
+ 28 Sep 2004; John Davis <zhen@gentoo.org> TODO,
+ +examples/fsscript.sh.example, examples/livecd-stage2_template.spec,
+ livecd/runscript/x86-archscript.sh, livecd/runscript-support/kmerge.sh,
+ modules/livecd_stage2_target.py:
+ udev support for livecds
16 Sep 2004; John Davis <zhen@gentoo.org> modules/catalyst_support.py,
+targets/livecd-stage2/unmerge.sh:
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/Attic/TODO,v 1.8 2004/07/11 21:31:40 zhen Exp $
-
-catalyst man page
+# $Header: /var/cvsroot/gentoo/src/catalyst/Attic/TODO,v 1.9 2004/09/29 01:32:50 zhen Exp $
Fix the hardcoded arch information in modules/generic_stage_target.py
--- /dev/null
+#!/bin/bash
+
+# This is an example fsscript for use with the livecd-stage2 target (key livecd/fsscript)
+# Basically, this file is copied to the livecd rootfs at livecd creation time and then run
+
+# Example, I want to add specific nameservers to the LiveCD's resolv.conf:
+echo "192.168.0.1" >> /etc/resolv.conf
# livecd-stage1.
#livecd/bootsplash: livecd-2004.1
+# list of services to add to the specified runlevel
+#livecd/rcadd: mkxf86config:default alsasound:boot
+
+# list of services to delete from the specified runlevel
+#livecd/rcdel: net.eth0:boot
+
+# xinitrc to use on the livecd
+#livecd/xinitrc: /tmp/livecd_xinitrc
+
+# directory that is to be overlayed on the livecd rootfs (the booted fs)
+#livecd/root_overlay: /tmp/livecd-root-overlay
+
# let catalyst know how many kernels to build, and what their names are
boot/kernel: gentoo smp
#!/bin/bash
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/livecd/runscript-support/Attic/kmerge.sh,v 1.9 2004/09/08 15:58:12 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/livecd/runscript-support/Attic/kmerge.sh,v 1.10 2004/09/29 01:32:51 zhen Exp $
die() {
echo "$1"
}
build_kernel() {
+ # default genkernel args
+ GK_ARGS="${clst_livecd_gk_mainargs} \
+ ${clst_livecd_gk_kernargs} \
+ --kerneldir=/usr/src/linux \
+ --kernel-config=/var/tmp/${clst_kname}.config \
+ --minkernpackage=/usr/portage/packages/gk_binaries/${clst_kname}-${clst_version_stamp}.tar.bz2 all"
+
+ # extra genkernel options that we have to test for
if [ -n "${clst_livecd_bootsplash}" ]
then
- genkernel --bootsplash=${clst_livecd_bootsplash} \
- --callback="emerge ${clst_kernel_merge}" ${clst_livecd_gk_mainargs} \
- ${clst_livecd_gk_kernargs} --kerneldir=/usr/src/linux \
- --kernel-config=/var/tmp/${clst_kname}.config \
- --minkernpackage=/usr/portage/packages/gk_binaries/${clst_kname}-${clst_version_stamp}.tar.bz2 all \
- || exit 1
-
- tar cjpf /usr/portage/packages/gk_binaries/${1}-modules-${clst_version_stamp}.tar.bz2 \
- /lib/modules/"${1}" || die "Could not package kernel modules, exiting"
- else
- genkernel --callback="emerge ${clst_kernel_merge}" \
- ${clst_livecd_gk_mainargs} ${clst_livecd_gk_kernargs} \
- --kerneldir=/usr/src/linux --kernel-config=/var/tmp/${clst_kname}.config \
- --minkernpackage=/usr/portage/packages/gk_binaries/${clst_kname}-${clst_version_stamp}.tar.bz2 all \
- || exit 1
-
- tar cjpf /usr/portage/packages/gk_binaries/${1}-modules-${clst_version_stamp}.tar.bz2 \
- /lib/modules/"${1}" || die "Could not package kernel modules, exiting"
+ GK_ARGS="${GK_ARGS} --bootsplash=${clst_livecd_bootsplash}"
fi
+
+ if [ "${clst_livecd_devmanager}" == "udev" ]
+ then
+ GK_ARGS="${GK_ARGS} --udev"
+ fi
+
+ # build with genkernel using the set options
+ # callback is put here to avoid escaping issues
+ genkernel ${GK_ARGS} --callback="emerge ${clst_kernel_merge}" || exit 1
+
+ # pack up the modules for resuming
+ tar cjpf /usr/portage/packages/gk_binaries/${1}-modules-${clst_version_stamp}.tar.bz2 \
+ /lib/modules/"${1}" || die "Could not package kernel modules, exiting"
+
}
# Script to build each kernel, kernel-related packages
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/livecd/runscript/Attic/x86-archscript.sh,v 1.9 2004/09/08 15:58:12 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/livecd/runscript/Attic/x86-archscript.sh,v 1.10 2004/09/29 01:32:51 zhen Exp $
case $1 in
kernel)
echo "F1 kernels.msg" >> ${icfg}
echo "F2 help.msg" >> ${icfg}
+ # figure out what device manager we are using and handle it accordingly
+ if [ ${clst_livecd_devmanager} == "udev" ]
+ then
+ cmdline_opts="${cmdline_opts} udev nodevfs"
+ fi
+
echo "Available kernels:" > ${kmsg}
cp ${clst_sharedir}/livecd/files/x86-help.msg ${hmsg}
# Distributed under the GNU General Public License version 2
# Copyright 2003-2004 Gentoo Technologies, Inc.
-# $Header: /var/cvsroot/gentoo/src/catalyst/modules/livecd_stage2_target.py,v 1.20 2004/09/07 14:04:24 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/modules/livecd_stage2_target.py,v 1.21 2004/09/29 01:32:51 zhen Exp $
"""
Builder class for a LiveCD stage2 build.
"livecd/unmerge","livecd/iso","livecd/gk_mainargs","livecd/type",\
"livecd/motd","livecd/overlay","livecd/modblacklist","livecd/bootsplash",\
"livecd/rcadd","livecd/rcdel","livecd/fsscript","livecd/xinitrc",\
- "livecd/root_overlay"])
+ "livecd/root_overlay","livecd/devmanager"])
generic_stage_target.__init__(self,spec,addlargs)
file_locate(self.settings, ["livecd/cdtar","livecd/archscript","livecd/runscript"])